#!/bin/bash
# Name: amSynthPresetConverter.sh
#
# Author: Winko Erades van den Berg
# Date: October 23, 2018
# Revised: October 23, 2018
#
# Purpose: To convert amSynth presets to LV2 preset
# 
# You would need to make this file executable by giving executable
# permissions:   eg.    chmod +x ./netbook.bash
# Usage:
# ./amSynthPresetConverter.sh <amSynthTemplate FileName> <amSynthPreset FileName>

TEMPLATE=$1
FILENAME=$2
CPTEMPLATE=$(date +%Y%m%d%H%M%S)$TEMPLATE

cp $TEMPLATE $CPTEMPLATE

while read LINE; do
     PARAMETER="<"$(echo $LINE | cut -d ' ' -f 2)">"
     VALUE=$(echo $LINE | cut -d ' ' -f 3)
     if [[ $VALUE = *"."* ]]
     then
       sed -i "s/$PARAMETER/$VALUE/g" $CPTEMPLATE
     else
       sed -i "s/$PARAMETER/$VALUE".0"/g" $CPTEMPLATE       
     fi
done < $FILENAME